<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/core/Event.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_3d69f64eaf81436fe2b22361382717e5.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">Event.hpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
</div>
<p><a href="Event_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1EventDispatcher.html">gg::EventDispatcher</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacegg"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegg.html">gg</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacestd"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacestd.html">std</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ac39733f708d7eb4f35b90ae36c196e89"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="Event_8hpp.html#ac39733f708d7eb4f35b90ae36c196e89">BIT_FIELD</a>(x)&#160;&#160;&#160;(1 &lt;&lt; x)</td></tr>
<tr class="separator:ac39733f708d7eb4f35b90ae36c196e89"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ada69b9f844678d00cd5c2b2c30a20122"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">gg::EventType</a> { <br />
&#160;&#160;<a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a6adf97f83acf6453d4a6a4b1070f3754">gg::None</a> = 0
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a9f8f27bff2915738c4fe1b970e12f89c">gg::WindowResize</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122ac984201d37197ab297a14d19efee4b07">gg::WindowClose</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122ac2770ad109c8063ce69a3608a9a16c08">gg::MouseMoved</a>
, <br />
&#160;&#160;<a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a0c727a782f5704f3020d6831cfcc1ed1">gg::MousePressed</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a33bd071d891ee2f9147b76a58d18d554">gg::MouseReleased</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a6360c775f2c9e4b01a927410726dff09">gg::KeyboardPressed</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a32b46f19c07697307b7935a700c82b8f">gg::KeyboardReleased</a>
, <br />
&#160;&#160;<a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a9c130e95620950534eee656031fc6a12">gg::ButtonClicked</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122ad7581f38211da778a489922e48b6d78c">gg::ToggleButtonClicked</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122a4dd32204c0f6c88a76b95591fffc7ee1">gg::TextInserted</a>
, <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122acdfd503633d90ca6fec62552e520caac">gg::TimePassed</a>
, <br />
&#160;&#160;<a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122abe3914d0f55bc3f12bdefcf7fb799bab">gg::TestEvent</a>
<br />
 }</td></tr>
<tr class="separator:ada69b9f844678d00cd5c2b2c30a20122"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98db2e09803bf503c02d952e6a8840f4"><td class="memItemLeft" align="right" valign="top">enum class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegg.html#a98db2e09803bf503c02d952e6a8840f4">gg::EventCategory</a> { <br />
&#160;&#160;<a class="el" href="namespacegg.html#a98db2e09803bf503c02d952e6a8840f4a6adf97f83acf6453d4a6a4b1070f3754">gg::None</a> = 0
, <a class="el" href="namespacegg.html#a98db2e09803bf503c02d952e6a8840f4a6e700fb918edc200030d12664aca3b6b">gg::EventBuilding</a> = BIT_FIELD(0)
, <a class="el" href="namespacegg.html#a98db2e09803bf503c02d952e6a8840f4a0a6e5fa84fb8c3d2c01f29f51f7d56ae">gg::EventDestroying</a> = BIT_FIELD(1)
, <a class="el" href="namespacegg.html#a98db2e09803bf503c02d952e6a8840f4a6fa566508cafa0ce4b09501f0c6946f1">gg::EventTerraforming</a> = BIT_FIELD(2)
, <br />
&#160;&#160;<a class="el" href="namespacegg.html#a98db2e09803bf503c02d952e6a8840f4ac89686a387d2b12b3c729ce35a0bcb5b">gg::Window</a> = BIT_FIELD(3)
<br />
 }</td></tr>
<tr class="separator:a98db2e09803bf503c02d952e6a8840f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a03e8c24de531dd717d01d59ca2dc6f93"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacegg.html#a03e8c24de531dd717d01d59ca2dc6f93">gg::CheckSubscriberExistence</a> (IEventSubscriber *e)</td></tr>
<tr class="separator:a03e8c24de531dd717d01d59ca2dc6f93"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ac39733f708d7eb4f35b90ae36c196e89" name="ac39733f708d7eb4f35b90ae36c196e89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac39733f708d7eb4f35b90ae36c196e89">&#9670;&nbsp;</a></span>BIT_FIELD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define BIT_FIELD</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">x</td><td>)</td>
          <td>&#160;&#160;&#160;(1 &lt;&lt; x)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
